body {
	font-family: sans-serif;
	color: #222;
	font-size: 0.875em;
	line-height: 1.5;
	margin: 0;
}

a {
	color: #0645ad;
	text-decoration: none;
}

a:hover {
	text-decoration: underline;
}

:focus {
	outline-color: #36c;
}

main,
.headerInner {
	max-width: 1100px;
	margin: 0 auto;
	padding: 1em;
}

header {
	position: sticky;
	top: 0;
	background: #fff;
	box-shadow: 0 0 2px 2px rgba( 0, 0, 0, 0.25 );
	z-index: 1;
}

.headerInner {
	padding-top: 0.5em;
	padding-bottom: 0.5em;
	position: relative;
	display: flex;
	align-items: center;
}

.headerInner > h1 {
	font-weight: normal;
	margin: 0;
	flex-grow: 1;
	white-space: nowrap;
	height: 2em;
	position: relative;
}

.logo {
	position: relative;
	display: inline-block;
	width: 2em;
	height: 2em;
	margin-right: 7em;
	background: url( ../images/icon.svg ) center center no-repeat;
	background-size: contain;
}

.logo > span {
	color: transparent;
}

.logo::after {
	content: ' ';
	position: absolute;
	top: 0;
	left: 2.5em;
	width: 6.5em;
	height: 2em;
	background: url( ../images/wordmark.svg ) center center no-repeat;
	background-size: contain;
}

.logo:hover {
	text-decoration: none;
}

.logo:hover::after {
	/* #2a4b8d */
	filter: invert( 24% ) sepia( 13% ) saturate( 5585% ) hue-rotate( 195deg ) brightness( 98% ) contrast( 87% );
}

@media ( max-width: 720px ) {
	/* Hide text part of logo on mobile */
	.logo {
		margin-right: 1em;
	}

	.logo::after {
		display: none;
	}
}

.sourceAndUser {
	text-align: right;
}

.sourceAndUser a {
	white-space: nowrap;
}

.signIn {
	text-align: center;
	margin: 5em 0 3em 0;
}

.signIn a {
	font-weight: bold;
}

form {
	max-width: 52em;
}

/* Left margin looks odd when there is no field label */
.createField .oo-ui-fieldLayout-messages > .oo-ui-messageWidget {
	margin-left: 0;
}

.createField .oo-ui-fieldLayout-messages > .oo-ui-messageWidget:first-child {
	margin-top: 12px;
}

summary {
	cursor: pointer;
	/* stylelint-disable-next-line declaration-no-important */
	display: list-item !important;
}

summary > .oo-ui-labelElement-label:not( .oo-ui-inline-help ) {
	/* stylelint-disable-next-line declaration-no-important */
	display: inline !important;
}

.form-disabled {
	height: 250px;
	overflow: hidden;
	pointer-events: none;
	user-select: none;
	filter: saturate( 0 ) blur( 2px );
	opacity: 0.25;
}

.form-disabled + .signIn {
	margin-top: -150px;
	margin-bottom: 150px;
	background: #fff;
}

.form-preset .oo-ui-fieldLayout,
.form-preset .oo-ui-radioOptionWidget {
	display: inline-block;
	margin-right: 1em;
}

.form-repos .oo-ui-multiselectWidget-group {
	/* stylelint-disable-next-line declaration-property-unit-disallowed-list */
	font-size: 12px;
	column-width: 12em;
	column-gap: 2em;
}

.form-repos .oo-ui-multiselectWidget-group .oo-ui-checkboxMultioptionWidget {
	/* Avoid rendering issues in Chrome when it tries to display a checkbox across two columns */
	-webkit-column-break-inside: avoid;
	page-break-inside: avoid;
	break-inside: avoid-column;
}

.form-repos .oo-ui-multiselectWidget-group .oo-ui-checkboxMultioptionWidget .oo-ui-labelElement-label {
	max-width: 12em;
}

.form-announce-taskList {
	font-size: 0.92857143em;
}

.form-language {
	max-width: 10em;
}

.client-js .form-patches textarea {
	height: 2.28571em;
}

.client-nojs .form-patches textarea {
	height: 5em;
}

@media ( min-width: 721px ) {
	.enableNotifications {
		margin-left: 40%;
	}
}

/* Wiki list */

.showClosed {
	margin-top: 1em;
}

.showClosedButton {
	float: right;
	margin-top: -6px;
}

.status-ABANDONED::before {
	content: '✗';
}

.status-MERGED::before {
	content: '✓';
}

.status-DNM::before {
	content: '🛇';
}

.status-declined::before,
.status-invalid::before {
	content: '✗';
}

.status-resolved::before {
	content: '✓';
}

.wikis {
	width: 100%;
	border: 1px solid #a2a9b1;
	border-width: 1px 1px 0 0;
	border-collapse: separate;
	border-spacing: 0;
	margin-top: 1em;
}

.wikis.hideOpen tr.open {
	display: none;
}

.wikis .headerRow,
.wikis .wikiSection {
	background: #eaecf0;
	position: sticky;
	top: 5em;
}

.wikis .wikiSection {
	text-align: left;
	top: 8.71em;
}

.wikis th,
.wikis td {
	border: 1px solid #a2a9b1;
	border-width: 0 0 1px 1px;
	padding: 0.3em 0.6em;
	vertical-align: top;
}

.wikis th em {
	font-weight: normal;
	font-size: 90%;
}

.wikis tr {
	background: #f8f9fa;
}

.wikis tr:not( .headerRow ):not( .wikiSection ):hover {
	background: #eaf3ff;
}

.wikis tr.highlight {
	background: #fef6e7;
}

.wikis .patches,
.wikis .linkedTasks {
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
	max-width: 20em;
}

.wiki {
	font-family: monospace, monospace;
}

.wikis .wikiAnchor {
	position: relative;
	top: -130px;
}

.wikis .date {
	white-space: nowrap;
}

.wikis tr.notReady {
	color: #999;
}

.wikis tr.failed {
	color: #999;
}

.wikis tr.failed .wiki::after {
	content: 'Failed';
	display: block;
	color: #aa4a44;
}

.wikis tr.notReady .wiki::after {
	content: 'Creating...';
	display: block;
}

.wikis details dl {
	position: absolute;
	background: #f8f9fa;
	border: 1px solid #a2a9b1;
	padding: 0.3em 0.6em;
	margin: 0;
}

.wikis details dt,
.wikis details dd {
	display: inline;
	padding: 0;
	margin: 0;
}

.wikis details dt {
	font-weight: bold;
}

.wikis details dt::after {
	content: ': ';
}

.wikis details dt ~ dt::before {
	content: '\A';
	white-space: pre;
}

.wikis details dd + dd::before {
	content: ', ';
}

@media ( max-width: 720px ) {
	.oo-ui-fieldLayout-align-left > .oo-ui-fieldLayout-body {
		flex-wrap: wrap;
	}

	.oo-ui-fieldLayout-align-left > .oo-ui-fieldLayout-body > .oo-ui-fieldLayout-header,
	.oo-ui-fieldLayout-align-left > .oo-ui-fieldLayout-body > .oo-ui-fieldLayout-field {
		/* stylelint-disable-next-line declaration-no-important */
		width: 100% !important;
	}

	.wikis,
	.wikis tr,
	.wikis td,
	.wikis tbody {
		display: block;
		box-sizing: border-box;
	}

	.wikis,
	.wikis th,
	.wikis td {
		border: 0;
	}

	.wikis tr {
		background: #f8f9fa;
		border: 1px solid #a2a9b1;
		margin-bottom: 5px;
	}

	.wikis .headerRow {
		display: none;
	}

	.wikis td {
		background: none;
		display: inline-block;
	}

	.wikis .wikiSection {
		top: 5em;
	}

	.wikis .patches,
	.wikis .linkedTasks {
		display: block;
		max-width: none;
	}

	.wikis td::before {
		content: attr( data-label );
		font-size: 80%;
		display: block;
	}

	.wikis td:empty {
		display: none;
	}
}

/* Install page */

.installForm {
	max-width: 50em;
	/* stylelint-disable-next-line declaration-no-important */
	margin: 2em auto !important;
}

.userList {
	margin: 0.5em 0;
}

.consoleLog {
	font-size: 90%;
	background: #262626;
	color: #eee;
	padding: 1em;
	overflow-x: auto;
}

.consoleLog:empty {
	padding: 0;
}

.consoleLog :first-child {
	margin-top: 0;
}

.consoleLog :last-child {
	margin-bottom: 0;
}

.logPrefix,
.logCmd {
	font-weight: bold;
	display: inline-block;
}

.logPrefix {
	color: #ddf;
}

.logCmd {
	color: #bfb;
	margin-bottom: 0.5em;
}

.logPrefix::before {
	content: '> ';
}

.logCmd::before {
	content: '  ';
}
